Page MenuHomePhabricator

Improve loading progress appearance when loading MF, or switching from MF to VE
Closed, ResolvedPublic

Description

After T228096 the switching workflow looks like this

Open switcherChoose visualSpinner on blank surfaceVE finishes loading

This should look more like the new VE loading treatment:

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : mastermobile.init/editorLoadingOverlay: Fix toolbar height off by 1px
mediawiki/extensions/MobileFrontend : mastermobile.editor.overlay: Use consistent transition when switching editors
mediawiki/extensions/MobileFrontend : mastermobile.init/editor: Use the same loading transition for wikitext editor
mediawiki/extensions/MobileFrontend : mastermobile.editor.overlay: Use same padding for wikitext editor as visual
mediawiki/extensions/MobileFrontend : masterUpstream more styles from editor.ve.less to editor.less
mediawiki/extensions/MobileFrontend : masterChange wikitext editor toolbar height to 3em

Event Timeline

Restricted Application added a project: VisualEditor. · View Herald TranscriptJul 16 2019, 12:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
JTannerWMF moved this task from To Triage to FY 19-20 on the VisualEditor board.Jul 16 2019, 4:14 PM
JTannerWMF added subscribers: marcella, JTannerWMF.

Hi @marcella please consider this for the usability backlog.

In my opinion T215426 should be a blocker to this. Transitioning directly between the mobile wikitext editor and the mobile visual editor would look silly if their toolbars are of different sizes.

In my opinion T215426 should be a blocker to this. Transitioning directly between the mobile wikitext editor and the mobile visual editor would look silly if their toolbars are of different sizes.

During yesterday's chat about our "Q1 usability improvements" someone mentioned (Ed, maybe you?) a way for us to make the mobile wikitext and VE toolbars the same sizes in way that was different from what is being proposed in T215426...am I remembering that correctly? If so, is someone able to share what that thinking was?

cc @DLynch / @Esanders / @matmarex

Ed suggested only changing the mobile wikitext header size to match mobile visual, and leaving everything else unchanged. I guess that's also an option.

Change 527582 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/MobileFrontend@master] Change wikitext editor toolbar height to 3em

https://gerrit.wikimedia.org/r/527582

Adding @alexhollender and @Volker_E in case they want to make adjustments to other parts of MobileFrontend

matmarex claimed this task.Aug 7 2019, 6:36 PM

Change 527582 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Change wikitext editor toolbar height to 3em

https://gerrit.wikimedia.org/r/527582

Change 529086 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/MobileFrontend@master] Upstream more styles from editor.ve.less to editor.less

https://gerrit.wikimedia.org/r/529086

Change 529086 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Upstream more styles from editor.ve.less to editor.less

https://gerrit.wikimedia.org/r/529086

Change 529449 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/MobileFrontend@master] mobile.editor.overlay: Use same padding for wikitext editor as visual

https://gerrit.wikimedia.org/r/529449

Change 529452 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/MobileFrontend@master] mobile.init/editor: Use the same loading transition for wikitext editor

https://gerrit.wikimedia.org/r/529452

Change 529453 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/MobileFrontend@master] mobile.editor.overlay: Use consistent transition when switching editors

https://gerrit.wikimedia.org/r/529453

This is done now (although I will probably have to deal with neverending MobileFrontend build failures). There are a few other cleanup commits related to this work, I didn't tag them all to avoid spamming the task: https://gerrit.wikimedia.org/r/q/topic:switch-transition-T228159

Video comparison for your viewing pleasure: Left is before changes from this task, and right is after. In the video I open VE, and switch to WTE; and then open WTE, and switch to VE. All transitions now look consistent, while previously there were three different ones.

Change 529449 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] mobile.editor.overlay: Use same padding for wikitext editor as visual

https://gerrit.wikimedia.org/r/529449

Change 529452 merged by Jdlrobson:
[mediawiki/extensions/MobileFrontend@master] mobile.init/editor: Use the same loading transition for wikitext editor

https://gerrit.wikimedia.org/r/529452

Change 529453 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] mobile.editor.overlay: Use consistent transition when switching editors

https://gerrit.wikimedia.org/r/529453

Change 532803 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/MobileFrontend@master] mobile.init/editorLoadingOverlay: Fix toolbar height off by 1px

https://gerrit.wikimedia.org/r/532803

Change 532803 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] mobile.init/editorLoadingOverlay: Fix toolbar height off by 1px

https://gerrit.wikimedia.org/r/532803

ppelberg added a comment.EditedAug 28 2019, 4:00 AM

Nice work, Bartosz. By the way: these in-line videos are convenient and helpful: T228159#5406589

matmarex moved this task from Inbox to High Priority on the Editing QA board.Sep 9 2019, 10:59 PM
Ryasmeen edited projects, added Verified; removed Editing QA.Sep 10 2019, 7:17 PM
Ryasmeen moved this task from QA to Product owner review on the VisualEditor (Current work) board.
ppelberg closed this task as Resolved.Oct 9 2019, 1:07 AM